CREATE OR REPLACE FUNCTION trg_update_playlists_updated_at()
RETURNS TRIGGER AS $$
BEGIN
  UPDATE playlists
  SET updated_at = NOW()
  WHERE id = NEW.playlist_id;
  RETURN NEW;
END;
$$
LANGUAGE plpgsql;

CREATE TRIGGER playlist_songs_after_insert
AFTER INSERT ON playlist_songs
FOR EACH ROW
EXECUTE PROCEDURE trg_update_playlists_updated_at();
