use cfg_if::cfg_if;

cfg_if! {
    if #[cfg(feature = "ssr")] {
        pub mod audio;
        pub mod require_auth;
        pub mod fileserv;
        pub mod database;
        pub mod auth_backend;
        pub mod extract_field;
        pub mod config;
        pub mod backend_state;
    }
}

pub mod error;
pub mod img_fallback;
pub mod serverfn_client;
pub mod state;
